Index: inc/core/class.dc.blog.php
===================================================================
--- inc/core/class.dc.blog.php	(revision 2521)
+++ inc/core/class.dc.blog.php	(revision 2318)
@@ -27,5 +27,5 @@
 	/** @var string Database table prefix */
 	public $prefix;
-
+	
 	/** @var string Blog ID */
 	public $id;
@@ -46,5 +46,5 @@
 	/** @var string Blog status */
 	public $status;
-
+	
 	/** @var dcSettings dcSettings object */
 	public $settings;
@@ -53,16 +53,16 @@
 	/** @var string Blog public path */
 	public $public_path;
-
+	
 	private $post_status = array();
 	private $comment_status = array();
-
+	
 	private $categories;
-
+	
 	/** @var boolean Disallow entries password protection */
 	public $without_password = true;
-
+	
 	/**
 	Inits dcBlog object
-
+	
 	@param	core		<b>dcCore</b>		Dotclear core reference
 	@param	id		<b>string</b>		Blog ID
@@ -73,5 +73,5 @@
 		$this->prefix = $core->prefix;
 		$this->core =& $core;
-
+		
 		if (($b = $this->core->getBlog($id)) !== false)
 		{
@@ -85,25 +85,25 @@
 			$this->upddt = strtotime($b->blog_upddt);
 			$this->status = $b->blog_status;
-
+			
 			$this->settings = new dcSettings($this->core,$this->id);
-
+			
 			$this->themes_path = path::fullFromRoot($this->settings->system->themes_path,DC_ROOT);
 			$this->public_path = path::fullFromRoot($this->settings->system->public_path,DC_ROOT);
-
+			
 			$this->post_status['-2'] = __('Pending');
 			$this->post_status['-1'] = __('Scheduled');
 			$this->post_status['0'] = __('Unpublished');
 			$this->post_status['1'] = __('Published');
-
+			
 			$this->comment_status['-2'] = __('Junk');
 			$this->comment_status['-1'] = __('Pending');
 			$this->comment_status['0'] = __('Unpublished');
 			$this->comment_status['1'] = __('Published');
-
+			
 			# --BEHAVIOR-- coreBlogConstruct
 			$this->core->callBehavior('coreBlogConstruct',$this);
 		}
 	}
-
+	
 	/// @name Common public methods
 	//@{
@@ -116,12 +116,12 @@
 			return $this->url.'?';
 		}
-
+		
 		return $this->url;
 	}
-
+	
 	/**
 	Returns an entry status name given to a code. Status are translated, never
 	use it for tests. If status code does not exist, returns <i>unpublished</i>.
-
+	
 	@param	s	<b>integer</b> Status code
 	@return	<b>string</b> Blog status name
@@ -134,8 +134,8 @@
 		return $this->post_status['0'];
 	}
-
+	
 	/**
 	Returns an array of available entry status codes and names.
-
+	
 	@return	<b>array</b> Simple array with codes in keys and names in value
 	*/
@@ -144,8 +144,8 @@
 		return $this->post_status;
 	}
-
+	
 	/**
 	Returns an array of available comment status codes and names.
-
+	
 	@return	<b>array</b> Simple array with codes in keys and names in value
 	*/
@@ -154,9 +154,9 @@
 		return $this->comment_status;
 	}
-
+	
 	/**
 	Disallows entries password protection. You need to set it to
 	<var>false</var> while serving a public blog.
-
+	
 	@param	v		<b>boolean</b>
 	*/
@@ -166,5 +166,5 @@
 	}
 	//@}
-
+	
 	/// @name Triggers methods
 	//@{
@@ -176,17 +176,17 @@
 	{
 		$cur = $this->con->openCursor($this->prefix.'blog');
-
+		
 		$cur->blog_upddt = date('Y-m-d H:i:s');
-
+		
 		$cur->update("WHERE blog_id = '".$this->con->escape($this->id)."' ");
-
+		
 		# --BEHAVIOR-- coreBlogAfterTriggerBlog
 		$this->core->callBehavior('coreBlogAfterTriggerBlog',$cur);
 	}
-
+	
 	/**
 	Updates comment and trackback counters in post table. Should be called
 	every time a comment or trackback is added, removed or changed its status.
-
+	
 	@param	id		<b>integer</b>		Comment ID
 	@param	del		<b>boolean</b>		If comment is delete, set this to true
@@ -196,9 +196,9 @@
 		$this->triggerComments($id,$del);
 	}
-
+	
 	/**
 	Updates comments and trackbacks counters in post table. Should be called
 	every time comments or trackbacks are added, removed or changed their status.
-
+	
 	@param	ids		<b>mixed</b>		Comment(s) ID(s)
 	@param	del		<b>boolean</b>		If comment is delete, set this to true
@@ -208,15 +208,15 @@
 	{
 		$comments_ids = dcUtils::cleanIds($ids);
-
+		
 		# Get posts affected by comments edition
 		if (empty($affected_posts)) {
-			$strReq =
+			$strReq = 
 				'SELECT post_id '.
 				'FROM '.$this->prefix.'comment '.
 				'WHERE comment_id'.$this->con->in($comments_ids).
 				'GROUP BY post_id';
-
+			
 			$rs = $this->con->select($strReq);
-
+			
 			$affected_posts = array();
 			while ($rs->fetch()) {
@@ -224,11 +224,11 @@
 			}
 		}
-
+		
 		if (!is_array($affected_posts) || empty($affected_posts)) {
 			return;
 		}
-
+		
 		# Count number of comments if exists for affected posts
-		$strReq =
+		$strReq = 
 			'SELECT post_id, COUNT(post_id) AS nb_comment, comment_trackback '.
 			'FROM '.$this->prefix.'comment '.
@@ -236,7 +236,7 @@
 			'AND post_id'.$this->con->in($affected_posts).
 			'GROUP BY post_id,comment_trackback';
-
+		
 		$rs = $this->con->select($strReq);
-
+		
 		$posts = array();
 		while ($rs->fetch()) {
@@ -247,5 +247,5 @@
 			}
 		}
-
+		
 		# Update number of comments on affected posts
 		$cur = $this->con->openCursor($this->prefix.'post');
@@ -253,5 +253,5 @@
 		{
 			$cur->clean();
-
+			
 			if (!array_key_exists($post_id,$posts)) {
 				$cur->nb_trackback = 0;
@@ -261,10 +261,10 @@
 				$cur->nb_comment = empty($posts[$post_id]['comment']) ? 0 : $posts[$post_id]['comment'];
 			}
-
+			
 			$cur->update('WHERE post_id = '.$post_id);
 		}
 	}
 	//@}
-
+	
 	/// @name Categories management methods
 	//@{
@@ -274,12 +274,12 @@
 			$this->categories = new dcCategories($this->core);
 		}
-
+		
 		return $this->categories;
 	}
-
+	
 	/**
 	Retrieves categories. <var>$params</var> is an associative array which can
 	take the following parameters:
-
+	
 	- post_type: Get only entries with given type (default "post")
 	- cat_url: filter on cat_url field
@@ -287,5 +287,5 @@
 	- start: start with a given category
 	- level: categories level to retrieve
-
+	
 	@param	params	<b>array</b>		Parameters
 	@return	<b>record</b>
@@ -299,5 +299,5 @@
 		}
 		$counter = $this->getCategoriesCounter($c_params);
-
+		
 		if (isset($params['without_empty']) && ($params['without_empty'] == false)) {
 			$without_empty = false;
@@ -305,10 +305,10 @@
 			$without_empty = $this->core->auth->userID() == false; # Get all categories if in admin display
 		}
-
+		
 		$start = isset($params['start']) ? (integer) $params['start'] : 0;
 		$l = isset($params['level']) ? (integer) $params['level'] : 0;
-
+		
 		$rs = $this->categories()->getChildren($start,null,'desc');
-
+		
 		# Get each categories total posts count
 		$data = array();
@@ -319,5 +319,5 @@
 		{
 			$nb_post = isset($counter[$rs->cat_id]) ? (integer) $counter[$rs->cat_id] : 0;
-
+			
 			if ($rs->level > $level) {
 				$nb_total = $nb_post;
@@ -335,11 +335,11 @@
 				unset($stack[$rs->level+1]);
 			}
-
+			
 			if ($nb_total == 0 && $without_empty) {
 				continue;
 			}
-
+			
 			$level = $rs->level;
-
+			
 			$t = array();
 			foreach ($cols as $c) {
@@ -348,10 +348,10 @@
 			$t['nb_post'] = $nb_post;
 			$t['nb_total'] = $nb_total;
-
+			
 			if ($l == 0 || ($l > 0 && $l == $rs->level)) {
 				array_unshift($data,$t);
 			}
 		}
-
+		
 		# We need to apply filter after counting
 		if (isset($params['cat_id']) && $params['cat_id'] !== '')
@@ -369,6 +369,6 @@
 			}
 		}
-
-		if (isset($params['cat_url']) && ($params['cat_url'] !== '')
+		
+		if (isset($params['cat_url']) && ($params['cat_url'] !== '') 
 			&& !isset($params['cat_id']))
 		{
@@ -385,11 +385,11 @@
 			}
 		}
-
+		
 		return staticRecord::newFromArray($data);
 	}
-
+	
 	/**
 	Retrieves a category by its ID.
-
+	
 	@param	id		<b>integer</b>		Category ID
 	@return	<b>record</b>
@@ -399,8 +399,8 @@
 		return $this->getCategories(array('cat_id' => $id));
 	}
-
+	
 	/**
 	Retrieves parents of a given category.
-
+	
 	@param	id		<b>integer</b>		Category ID
 	@return	<b>record</b>
@@ -410,8 +410,8 @@
 		return $this->categories()->getParents($id);
 	}
-
+	
 	/**
 	Retrieves first parent of a given category.
-
+	
 	@param	id		<b>integer</b>		Category ID
 	@return	<b>record</b>
@@ -421,8 +421,8 @@
 		return $this->categories()->getParent($id);
 	}
-
+	
 	/**
 	Retrieves all category's first children
-
+	
 	@param	id		<b>integer</b>		Category ID
 	@return	<b>record</b>
@@ -432,5 +432,5 @@
 		return $this->getCategories(array('start' => $id,'level' => $id == 0 ? 1 : 2));
 	}
-
+	
 	private function getCategoriesCounter($params=array())
 	{
@@ -440,15 +440,15 @@
 		'JOIN '.$this->prefix."post P ON (C.cat_id = P.cat_id AND P.blog_id = '".$this->con->escape($this->id)."' ) ".
 		"WHERE C.blog_id = '".$this->con->escape($this->id)."' ";
-
+		
 		if (!$this->core->auth->userID()) {
 			$strReq .= 'AND P.post_status = 1 ';
 		}
-
+		
 		if (!empty($params['post_type'])) {
 			$strReq .= 'AND P.post_type '.$this->con->in($params['post_type']);
 		}
-
+		
 		$strReq .= 'GROUP BY C.cat_id ';
-
+		
 		$rs = $this->con->select($strReq);
 		$counters = array();
@@ -456,12 +456,12 @@
 			$counters[$rs->cat_id] = $rs->nb_post;
 		}
-
+		
 		return $counters;
 	}
-
+	
 	/**
 	Creates a new category. Takes a cursor as input and returns the new category
 	ID.
-
+	
 	@param	cur		<b>cursor</b>		Category cursor
 	@return	<b>integer</b>		New category ID
@@ -472,5 +472,5 @@
 			throw new Exception(__('You are not allowed to add categories'));
 		}
-
+		
 		$url = array();
 		if ($parent != 0)
@@ -483,5 +483,5 @@
 			}
 		}
-
+		
 		if ($cur->cat_url == '') {
 			$url[] = text::tidyURL($cur->cat_title,false);
@@ -489,13 +489,13 @@
 			$url[] = $cur->cat_url;
 		}
-
+		
 		$cur->cat_url = implode('/',$url);
-
+		
 		$this->getCategoryCursor($cur);
 		$cur->blog_id = (string) $this->id;
-
+		
 		# --BEHAVIOR-- coreBeforeCategoryCreate
 		$this->core->callBehavior('coreBeforeCategoryCreate',$this,$cur);
-
+		
 		$id = $this->categories()->addNode($cur,$parent);
 		# Update category's cursor
@@ -505,15 +505,15 @@
 			$cur->cat_rgt = $rs->cat_rgt;
 		}
-
+		
 		# --BEHAVIOR-- coreAfterCategoryCreate
 		$this->core->callBehavior('coreAfterCategoryCreate',$this,$cur);
 		$this->triggerBlog();
-
+		
 		return $cur->cat_id;
 	}
-
+	
 	/**
 	Updates an existing category.
-
+	
 	@param	id		<b>integer</b>		Category ID
 	@param	cur		<b>cursor</b>		Category cursor
@@ -524,5 +524,5 @@
 			throw new Exception(__('You are not allowed to update categories'));
 		}
-
+		
 		if ($cur->cat_url == '')
 		{
@@ -534,22 +534,22 @@
 				}
 			}
-
-
+			
+			
 			$url[] = text::tidyURL($cur->cat_title,false);
 			$cur->cat_url = implode('/',$url);
 		}
-
+		
 		$this->getCategoryCursor($cur,$id);
-
+		
 		# --BEHAVIOR-- coreBeforeCategoryUpdate
 		$this->core->callBehavior('coreBeforeCategoryUpdate',$this,$cur);
-
+		
 		$cur->update(
 		'WHERE cat_id = '.(integer) $id.' '.
 		"AND blog_id = '".$this->con->escape($this->id)."' ");
-
+		
 		# --BEHAVIOR-- coreAfterCategoryUpdate
 		$this->core->callBehavior('coreAfterCategoryUpdate',$this,$cur);
-
+		
 		$this->triggerBlog();
 	}
@@ -567,9 +567,9 @@
                 $this->triggerBlog();
         }
-
+	
 	/**
 	DEPRECATED METHOD. Use dcBlog::setCategoryParent and dcBlog::moveCategory
 	instead.
-
+	
 	@param	id		<b>integer</b>		Category ID
 	@param	order	<b>integer</b>		Category position
@@ -579,8 +579,8 @@
 		return;
 	}
-
+	
 	/**
 	Set a category parent
-
+	
 	@param	id		<b>integer</b>		Category ID
 	@param	parent	<b>integer</b>		Parent Category ID
@@ -591,8 +591,8 @@
 		$this->triggerBlog();
 	}
-
+	
 	/**
 	Set category position
-
+	
 	@param	id		<b>integer</b>		Category ID
 	@param	sibling	<b>integer</b>		Sibling Category ID
@@ -604,8 +604,8 @@
 		$this->triggerBlog();
 	}
-
+	
 	/**
 	Deletes a category.
-
+	
 	@param	id		<b>integer</b>		Category ID
 	*/
@@ -615,20 +615,20 @@
 			throw new Exception(__('You are not allowed to delete categories'));
 		}
-
+		
 		$strReq = 'SELECT COUNT(post_id) AS nb_post '.
 				'FROM '.$this->prefix.'post '.
 				'WHERE cat_id = '.(integer) $id.' '.
 				"AND blog_id = '".$this->con->escape($this->id)."' ";
-
+		
 		$rs = $this->con->select($strReq);
-
+		
 		if ($rs->nb_post > 0) {
 			throw new Exception(__('This category is not empty.'));
 		}
-
+		
 		$this->categories()->deleteNode($id,true);
 		$this->triggerBlog();
 	}
-
+	
 	/**
 	Reset categories order and relocate them to first level
@@ -639,13 +639,13 @@
 			throw new Exception(__('You are not allowed to reset categories order'));
 		}
-
+		
 		$this->categories()->resetOrder();
 		$this->triggerBlog();
 	}
-
+	
 	private function checkCategory($title,$url,$id=null)
 	{
 		# Let's check if URL is taken...
-		$strReq =
+		$strReq = 
 			'SELECT cat_url FROM '.$this->prefix.'category '.
 			"WHERE cat_url = '".$this->con->escape($url)."' ".
@@ -653,7 +653,7 @@
 			"AND blog_id = '".$this->con->escape($this->id)."' ".
 			'ORDER BY cat_url DESC';
-
+		
 		$rs = $this->con->select($strReq);
-
+		
 		if (!$rs->isEmpty())
 		{
@@ -665,5 +665,5 @@
 				$clause = "LIKE '".$this->con->escape($url)."%'";
 			}
-			$strReq =
+			$strReq = 
 				'SELECT cat_url FROM '.$this->prefix.'category '.
 				"WHERE cat_url ".$clause.' '.
@@ -671,5 +671,5 @@
 				"AND blog_id = '".$this->con->escape($this->id)."' ".
 				'ORDER BY cat_url DESC ';
-
+			
 			$rs = $this->con->select($strReq);
 			$a = array();
@@ -677,8 +677,8 @@
 				$a[] = $rs->cat_url;
 			}
-
+			
 			natsort($a);
 			$t_url = end($a);
-
+			
 			if (preg_match('/(.*?)([0-9]+)$/',$t_url,$m)) {
 				$i = (integer) $m[2];
@@ -687,16 +687,16 @@
 				$i = 1;
 			}
-
+			
 			return $url.($i+1);
 		}
-
+		
 		# URL is empty?
 		if ($url == '') {
 			throw new Exception(__('Empty category URL'));
 		}
-
+		
 		return $url;
 	}
-
+	
 	private function getCategoryCursor($cur,$id=null)
 	{
@@ -704,10 +704,10 @@
 			throw new Exception(__('You must provide a category title'));
 		}
-
+		
 		# If we don't have any cat_url, let's do one
 		if ($cur->cat_url == '') {
 			$cur->cat_url = text::tidyURL($cur->cat_title,false);
 		}
-
+		
 		# Still empty ?
 		if ($cur->cat_url == '') {
@@ -716,8 +716,8 @@
 			$cur->cat_url = text::tidyURL($cur->cat_url,true);
 		}
-
+		
 		# Check if title or url are unique
 		$cur->cat_url = $this->checkCategory($cur->cat_title,$cur->cat_url,$id);
-
+		
 		if ($cur->cat_desc !== null) {
 			$cur->cat_desc = $this->core->HTMLfilter($cur->cat_desc);
@@ -725,5 +725,5 @@
 	}
 	//@}
-
+	
 	/// @name Entries management methods
 	//@{
@@ -731,5 +731,5 @@
 	Retrieves entries. <b>$params</b> is an array taking the following
 	optionnal parameters:
-
+	
 	- no_content: Don't retrieve entry content (excerpt and content)
 	- post_type: Get only entries with given type (default "post", array for many types and '' for no type)
@@ -755,8 +755,8 @@
 	- sql_only : return the sql request instead of results. Only ids are selected
 	- exclude_post_id : (integer or array) Exclude entries with given post_id
-
+	
 	Please note that on every cat_id or cat_url, you can add ?not to exclude
 	the category and ?sub to get subcategories.
-
+	
 	@param	params		<b>array</b>		Parameters
 	@param	count_only	<b>boolean</b>		Only counts results
@@ -773,5 +773,5 @@
 			$strReq = 'SELECT count(DISTINCT P.post_id) ';
 		}
-		elseif (!empty($params['sql_only']))
+		elseif (!empty($params['sql_only'])) 
 		{
 			$strReq = 'SELECT P.post_id ';
@@ -786,9 +786,9 @@
 				'post_content, post_content_xhtml, post_notes, ';
 			}
-
+			
 			if (!empty($params['columns']) && is_array($params['columns'])) {
 				$content_req .= implode(', ',$params['columns']).', ';
 			}
-
+			
 
 			$strReq =
@@ -802,5 +802,5 @@
 			'C.cat_title, C.cat_url, C.cat_desc ';
 		}
-
+		
 		$strReq .=
 		'FROM '.$this->prefix.'post P '.
@@ -811,16 +811,16 @@
 			$strReq .= $params['from'].' ';
 		}
-
+		
 		$strReq .=
 		"WHERE P.blog_id = '".$this->con->escape($this->id)."' ";
-
+		
 		if (!$this->core->auth->check('contentadmin',$this->id)) {
 			$strReq .= 'AND ((post_status = 1 ';
-
+			
 			if ($this->without_password) {
 				$strReq .= 'AND post_password IS NULL ';
 			}
 			$strReq .= ') ';
-
+			
 			if ($this->core->auth->userID()) {
 				$strReq .= "OR P.user_id = '".$this->con->escape($this->core->auth->userID())."')";
@@ -829,5 +829,5 @@
 			}
 		}
-
+		
 		#Adding parameters
 		if (isset($params['post_type']))
@@ -841,5 +841,5 @@
 			$strReq .= "AND post_type = 'post' ";
 		}
-
+		
 		if (isset($params['post_id']) && $params['post_id'] !== '') {
 			if (is_array($params['post_id'])) {
@@ -850,5 +850,5 @@
 			$strReq .= 'AND P.post_id '.$this->con->in($params['post_id']);
 		}
-
+		
 		if (isset($params['exclude_post_id']) && $params['exclude_post_id'] !== '') {
 			if (is_array($params['exclude_post_id'])) {
@@ -859,13 +859,13 @@
 			$strReq .= 'AND P.post_id NOT '.$this->con->in($params['exclude_post_id']);
 		}
-
+		
 		if (isset($params['post_url']) && $params['post_url'] !== '') {
 			$strReq .= "AND post_url = '".$this->con->escape($params['post_url'])."' ";
 		}
-
+		
 		if (!empty($params['user_id'])) {
 			$strReq .= "AND U.user_id = '".$this->con->escape($params['user_id'])."' ";
 		}
-
+		
 		if (isset($params['cat_id']) && $params['cat_id'] !== '')
 		{
@@ -888,37 +888,37 @@
 			$strReq .= 'AND '.$this->getPostsCategoryFilter($params['cat_url'],'cat_url').' ';
 		}
-
+		
 		/* Other filters */
 		if (isset($params['post_status'])) {
 			$strReq .= 'AND post_status = '.(integer) $params['post_status'].' ';
 		}
-
+		
 		if (isset($params['post_selected'])) {
 			$strReq .= 'AND post_selected = '.(integer) $params['post_selected'].' ';
 		}
-
+		
 		if (!empty($params['post_year'])) {
 			$strReq .= 'AND '.$this->con->dateFormat('post_dt','%Y').' = '.
 			"'".sprintf('%04d',$params['post_year'])."' ";
 		}
-
+		
 		if (!empty($params['post_month'])) {
 			$strReq .= 'AND '.$this->con->dateFormat('post_dt','%m').' = '.
 			"'".sprintf('%02d',$params['post_month'])."' ";
 		}
-
+		
 		if (!empty($params['post_day'])) {
 			$strReq .= 'AND '.$this->con->dateFormat('post_dt','%d').' = '.
 			"'".sprintf('%02d',$params['post_day'])."' ";
 		}
-
+		
 		if (!empty($params['post_lang'])) {
 			$strReq .= "AND P.post_lang = '".$this->con->escape($params['post_lang'])."' ";
 		}
-
+		
 		if (!empty($params['search']))
 		{
 			$words = text::splitWords($params['search']);
-
+			
 			if (!empty($words))
 			{
@@ -927,5 +927,5 @@
 					$this->core->callBehavior('corePostSearch',$this->core,array(&$words,&$strReq,&$params));
 				}
-
+				
 				if ($words)
 				{
@@ -937,10 +937,10 @@
 			}
 		}
-
+		
 		if (isset($params['media'])) {
 			if ($params['media'] == '0') {
 				$strReq .= 'AND NOT ';
 			} else {
-				$strReq .= 'AND ';
+				$strReq .= 'AND ';				
 			}
 			$strReq .= 'EXISTS (SELECT M.post_id FROM '.$this->prefix.'post_media M '.
@@ -964,9 +964,9 @@
 			}
 		}
-
+		
 		if (!$count_only && !empty($params['limit'])) {
 			$strReq .= $this->con->limit($params['limit']);
 		}
-
+		
 		if (!empty($params['sql_only'])) {
 			return $strReq;
@@ -977,16 +977,16 @@
 		$rs->_nb_media = array();
 		$rs->extend('rsExtPost');
-
+		
 		# --BEHAVIOR-- coreBlogGetPosts
 		$this->core->callBehavior('coreBlogGetPosts',$rs);
-
+		
 		return $rs;
 	}
-
+	
 	/**
 	Returns a record with post id, title and date for next or previous post
 	according to the post ID.
 	$dir could be 1 (next post) or -1 (previous post).
-
+	
 	@param	post_id				<b>integer</b>		Post ID
 	@param	dir					<b>integer</b>		Search direction
@@ -999,5 +999,5 @@
 		$dt = $post->post_dt;
 		$post_id = (integer) $post->post_id;
-
+		
 		if($dir > 0) {
 			$sign = '>';
@@ -1008,5 +1008,5 @@
 			$order = 'DESC';
 		}
-
+		
 		$params['post_type'] = $post->post_type;
 		$params['limit'] = 1;
@@ -1017,31 +1017,31 @@
 		"	OR post_dt ".$sign." '".$this->con->escape($dt)."' ".
 		') ';
-
+		
 		if ($restrict_to_category) {
 			$params['sql'] .= $post->cat_id ? 'AND P.cat_id = '.(integer) $post->cat_id.' ' : 'AND P.cat_id IS NULL ';
 		}
-
+		
 		if ($restrict_to_lang) {
 			$params['sql'] .= $post->post_lang ? 'AND P.post_lang = \''. $this->con->escape($post->post_lang) .'\' ': 'AND P.post_lang IS NULL ';
 		}
-
+		
 		$rs = $this->getPosts($params);
-
+		
 		if ($rs->isEmpty()) {
 			return null;
 		}
-
+		
 		return $rs;
 	}
-
+	
 	/**
 	Retrieves different languages and post count on blog, based on post_lang
 	field. <var>$params</var> is an array taking the following optionnal
 	parameters:
-
+	
 	- post_type: Get only entries with given type (default "post", '' for no type)
 	- lang: retrieve post count for selected lang
 	- order: order statement (default post_lang DESC)
-
+	
 	@param	params	<b>array</b>		Parameters
 	@return	record
@@ -1054,13 +1054,13 @@
 				"AND post_lang <> '' ".
 				"AND post_lang IS NOT NULL ";
-
+		
 		if (!$this->core->auth->check('contentadmin',$this->id)) {
 			$strReq .= 'AND ((post_status = 1 ';
-
+			
 			if ($this->without_password) {
 				$strReq .= 'AND post_password IS NULL ';
 			}
 			$strReq .= ') ';
-
+			
 			if ($this->core->auth->userID()) {
 				$strReq .= "OR user_id = '".$this->con->escape($this->core->auth->userID())."')";
@@ -1069,5 +1069,5 @@
 			}
 		}
-
+		
 		if (isset($params['post_type'])) {
 			if ($params['post_type'] != '') {
@@ -1077,11 +1077,11 @@
 			$strReq .= "AND post_type = 'post' ";
 		}
-
+		
 		if (isset($params['lang'])) {
 			$strReq .= "AND post_lang = '".$this->con->escape($params['lang'])."' ";
 		}
-
+		
 		$strReq .= 'GROUP BY post_lang ';
-
+		
 		$order = 'desc';
 		if (!empty($params['order']) && preg_match('/^(desc|asc)$/i',$params['order'])) {
@@ -1089,12 +1089,12 @@
 		}
 		$strReq .= 'ORDER BY post_lang '.$order.' ';
-
+		
 		return $this->con->select($strReq);
 	}
-
+	
 	/**
 	Returns a record with all distinct blog dates and post count.
 	<var>$params</var> is an array taking the following optionnal parameters:
-
+	
 	- type: (day|month|year) Get days, months or years
 	- year: (integer) Get dates for given year
@@ -1107,5 +1107,5 @@
 	- previous: Get date before match
 	- order: Sort by date "ASC" or "DESC"
-
+	
 	@param	params	<b>array</b>		Parameters array
 	@return	record
@@ -1126,7 +1126,7 @@
 		$dt_f .= ' 00:00:00';
 		$dt_fc .= '000000';
-
+		
 		$cat_field = $catReq = $limit = '';
-
+		
 		if (isset($params['cat_id']) && $params['cat_id'] !== '') {
 			$catReq = 'AND P.cat_id = '.(integer) $params['cat_id'].' ';
@@ -1139,5 +1139,5 @@
 			$catReq = 'AND P.post_lang = \''. $params['post_lang'].'\' ';
 		}
-
+		
 		$strReq = 'SELECT DISTINCT('.$this->con->dateFormat('post_dt',$dt_f).') AS dt '.
 				$cat_field.
@@ -1147,13 +1147,13 @@
 				"WHERE P.blog_id = '".$this->con->escape($this->id)."' ".
 				$catReq;
-
+		
 		if (!$this->core->auth->check('contentadmin',$this->id)) {
 			$strReq .= 'AND ((post_status = 1 ';
-
+			
 			if ($this->without_password) {
 				$strReq .= 'AND post_password IS NULL ';
 			}
 			$strReq .= ') ';
-
+			
 			if ($this->core->auth->userID()) {
 				$strReq .= "OR P.user_id = '".$this->con->escape($this->core->auth->userID())."')";
@@ -1162,5 +1162,5 @@
 			}
 		}
-
+		
 		if (!empty($params['post_type'])) {
 			$strReq .= "AND post_type ".$this->con->in($params['post_type'])." ";
@@ -1168,17 +1168,17 @@
 			$strReq .= "AND post_type = 'post' ";
 		}
-
+		
 		if (!empty($params['year'])) {
 			$strReq .= 'AND '.$this->con->dateFormat('post_dt','%Y')." = '".sprintf('%04d',$params['year'])."' ";
 		}
-
+		
 		if (!empty($params['month'])) {
 			$strReq .= 'AND '.$this->con->dateFormat('post_dt','%m')." = '".sprintf('%02d',$params['month'])."' ";
 		}
-
+		
 		if (!empty($params['day'])) {
 			$strReq .= 'AND '.$this->con->dateFormat('post_dt','%d')." = '".sprintf('%02d',$params['day'])."' ";
 		}
-
+		
 		# Get next or previous date
 		if (!empty($params['next']) || !empty($params['previous']))
@@ -1193,31 +1193,31 @@
 				$dt = $params['previous'];
 			}
-
+			
 			$dt = date('YmdHis',strtotime($dt));
-
+			
 			$strReq .= 'AND '.$this->con->dateFormat('post_dt',$dt_fc).$pdir."'".$dt."' ";
 			$limit = $this->con->limit(1);
 		}
-
+		
 		$strReq .= 'GROUP BY dt '.$cat_field;
-
+		
 		$order = 'desc';
 		if (!empty($params['order']) && preg_match('/^(desc|asc)$/i',$params['order'])) {
 			$order = $params['order'];
 		}
-
+		
 		$strReq .=
 		'ORDER BY dt '.$order.' '.
 		$limit;
-
+		
 		$rs = $this->con->select($strReq);
 		$rs->extend('rsExtDates');
 		return $rs;
 	}
-
+	
 	/**
 	Creates a new entry. Takes a cursor as input and returns the new entry
 	ID.
-
+	
 	@param	cur		<b>cursor</b>		Post cursor
 	@return	<b>integer</b>		New post ID
@@ -1228,5 +1228,5 @@
 			throw new Exception(__('You are not allowed to create an entry'));
 		}
-
+		
 		$this->con->writeLock($this->prefix.'post');
 		try
@@ -1235,7 +1235,7 @@
 			$rs = $this->con->select(
 				'SELECT MAX(post_id) '.
-				'FROM '.$this->prefix.'post '
+				'FROM '.$this->prefix.'post ' 
 				);
-
+			
 			$cur->post_id = (integer) $rs->f(0) + 1;
 			$cur->blog_id = (string) $this->id;
@@ -1243,19 +1243,19 @@
 			$cur->post_upddt = date('Y-m-d H:i:s');
 			$cur->post_tz = $this->core->auth->getInfo('user_tz');
-
+			
 			# Post excerpt and content
 			$this->getPostContent($cur,$cur->post_id);
-
+			
 			$this->getPostCursor($cur);
-
+			
 			$cur->post_url = $this->getPostURL($cur->post_url,$cur->post_dt,$cur->post_title,$cur->post_id);
-
+			
 			if (!$this->core->auth->check('publish,contentadmin',$this->id)) {
 				$cur->post_status = -2;
 			}
-
+			
 			# --BEHAVIOR-- coreBeforePostCreate
 			$this->core->callBehavior('coreBeforePostCreate',$this,$cur);
-
+			
 			$cur->insert();
 			$this->con->unlock();
@@ -1266,16 +1266,16 @@
 			throw $e;
 		}
-
+		
 		# --BEHAVIOR-- coreAfterPostCreate
 		$this->core->callBehavior('coreAfterPostCreate',$this,$cur);
-
+		
 		$this->triggerBlog();
-
+		
 		return $cur->post_id;
 	}
-
+	
 	/**
 	Updates an existing post.
-
+	
 	@param	id		<b>integer</b>		Post ID
 	@param	cur		<b>cursor</b>		Post cursor
@@ -1286,26 +1286,26 @@
 			throw new Exception(__('You are not allowed to update entries'));
 		}
-
+		
 		$id = (integer) $id;
-
+		
 		if (empty($id)) {
 			throw new Exception(__('No such entry ID'));
 		}
-
+		
 		# Post excerpt and content
 		$this->getPostContent($cur,$id);
-
+		
 		$this->getPostCursor($cur);
-
+		
 		if ($cur->post_url !== null) {
 			$cur->post_url = $this->getPostURL($cur->post_url,$cur->post_dt,$cur->post_title,$id);
 		}
-
+		
 		if (!$this->core->auth->check('publish,contentadmin',$this->id)) {
 			$cur->unsetField('post_status');
 		}
-
+		
 		$cur->post_upddt = date('Y-m-d H:i:s');
-
+		
 		#If user is only "usage", we need to check the post's owner
 		if (!$this->core->auth->check('contentadmin',$this->id))
@@ -1315,26 +1315,26 @@
 					'WHERE post_id = '.$id.' '.
 					"AND user_id = '".$this->con->escape($this->core->auth->userID())."' ";
-
+			
 			$rs = $this->con->select($strReq);
-
+			
 			if ($rs->isEmpty()) {
 				throw new Exception(__('You are not allowed to edit this entry'));
 			}
 		}
-
+		
 		# --BEHAVIOR-- coreBeforePostUpdate
 		$this->core->callBehavior('coreBeforePostUpdate',$this,$cur);
-
+		
 		$cur->update('WHERE post_id = '.$id.' ');
-
+		
 		# --BEHAVIOR-- coreAfterPostUpdate
 		$this->core->callBehavior('coreAfterPostUpdate',$this,$cur);
-
+		
 		$this->triggerBlog();
 	}
-
+	
 	/**
 	Updates post status.
-
+	
 	@param	id		<b>integer</b>		Post ID
 	@param	status	<b>integer</b>		Post status
@@ -1344,8 +1344,8 @@
 		$this->updPostsStatus($id,$status);
 	}
-
+	
 	/**
 	Updates posts status.
-
+	
 	@param	ids		<b>mixed</b>		Post(s) ID(s)
 	@param	status	<b>integer</b>		Post status
@@ -1356,11 +1356,11 @@
 			throw new Exception(__('You are not allowed to change this entry status'));
 		}
-
+		
 		$posts_ids = dcUtils::cleanIds($ids);
 		$status = (integer) $status;
-
+		
 		$strReq = "WHERE blog_id = '".$this->con->escape($this->id)."' ".
 				"AND post_id ".$this->con->in($posts_ids);
-
+		
 		#If user can only publish, we need to check the post's owner
 		if (!$this->core->auth->check('contentadmin',$this->id))
@@ -1368,17 +1368,17 @@
 			$strReq .= "AND user_id = '".$this->con->escape($this->core->auth->userID())."' ";
 		}
-
+		
 		$cur = $this->con->openCursor($this->prefix.'post');
-
+		
 		$cur->post_status = $status;
 		$cur->post_upddt = date('Y-m-d H:i:s');
-
+		
 		$cur->update($strReq);
 		$this->triggerBlog();
 	}
-
+	
 	/**
 	Updates post selection.
-
+	
 	@param	id		<b>integer</b>		Post ID
 	@param	selected	<b>integer</b>		Is selected post
@@ -1388,8 +1388,8 @@
 		$this->updPostsSelected($id,$selected);
 	}
-
+	
 	/**
 	Updates posts selection.
-
+	
 	@param	ids		<b>mixed</b>		Post(s) ID(s)
 	@param	selected	<b>integer</b>		Is selected post(s)
@@ -1400,11 +1400,11 @@
 			throw new Exception(__('You are not allowed to change this entry category'));
 		}
-
+		
 		$posts_ids = dcUtils::cleanIds($ids);
 		$selected = (boolean) $selected;
-
+		
 		$strReq = "WHERE blog_id = '".$this->con->escape($this->id)."' ".
 				"AND post_id ".$this->con->in($posts_ids);
-
+		
 		# If user is only usage, we need to check the post's owner
 		if (!$this->core->auth->check('contentadmin',$this->id))
@@ -1412,17 +1412,17 @@
 			$strReq .= "AND user_id = '".$this->con->escape($this->core->auth->userID())."' ";
 		}
-
+		
 		$cur = $this->con->openCursor($this->prefix.'post');
-
+		
 		$cur->post_selected = (integer) $selected;
 		$cur->post_upddt = date('Y-m-d H:i:s');
-
+		
 		$cur->update($strReq);
 		$this->triggerBlog();
 	}
-
+	
 	/**
 	Updates post category. <var>$cat_id</var> can be null.
-
+	
 	@param	id		<b>integer</b>		Post ID
 	@param	cat_id	<b>integer</b>		Category ID
@@ -1432,8 +1432,8 @@
 		$this->updPostsCategory($id,$cat_id);
 	}
-
+	
 	/**
 	Updates posts category. <var>$cat_id</var> can be null.
-
+	
 	@param	ids		<b>mixed</b>		Post(s) ID(s)
 	@param	cat_id	<b>integer</b>		Category ID
@@ -1444,11 +1444,11 @@
 			throw new Exception(__('You are not allowed to change this entry category'));
 		}
-
+		
 		$posts_ids = dcUtils::cleanIds($ids);
 		$cat_id = (integer) $cat_id;
-
+		
 		$strReq = "WHERE blog_id = '".$this->con->escape($this->id)."' ".
 				"AND post_id ".$this->con->in($posts_ids);
-
+		
 		# If user is only usage, we need to check the post's owner
 		if (!$this->core->auth->check('contentadmin',$this->id))
@@ -1456,17 +1456,17 @@
 			$strReq .= "AND user_id = '".$this->con->escape($this->core->auth->userID())."' ";
 		}
-
+		
 		$cur = $this->con->openCursor($this->prefix.'post');
-
+		
 		$cur->cat_id = ($cat_id ? $cat_id : null);
 		$cur->post_upddt = date('Y-m-d H:i:s');
-
+		
 		$cur->update($strReq);
 		$this->triggerBlog();
 	}
-
+	
 	/**
 	Updates posts category. <var>$new_cat_id</var> can be null.
-
+	
 	@param	old_cat_id	<b>integer</b>		Old category ID
 	@param	new_cat_id	<b>integer</b>		New category ID
@@ -1477,13 +1477,13 @@
 			throw new Exception(__('You are not allowed to change entries category'));
 		}
-
+		
 		$old_cat_id = (integer) $old_cat_id;
 		$new_cat_id = (integer) $new_cat_id;
-
+		
 		$cur = $this->con->openCursor($this->prefix.'post');
-
+		
 		$cur->cat_id = ($new_cat_id ? $new_cat_id : null);
 		$cur->post_upddt = date('Y-m-d H:i:s');
-
+		
 		$cur->update(
 			'WHERE cat_id = '.$old_cat_id.' '.
@@ -1492,8 +1492,8 @@
 		$this->triggerBlog();
 	}
-
+	
 	/**
 	Deletes a post.
-
+	
 	@param	id		<b>integer</b>		Post ID
 	*/
@@ -1502,8 +1502,8 @@
 		$this->delPosts($id);
 	}
-
+	
 	/**
 	Deletes multiple posts.
-
+	
 	@param	ids		<b>mixed</b>		Post(s) ID(s)
 	*/
@@ -1513,15 +1513,15 @@
 			throw new Exception(__('You are not allowed to delete entries'));
 		}
-
+		
 		$posts_ids = dcUtils::cleanIds($ids);
-
+		
 		if (empty($posts_ids)) {
 			throw new Exception(__('No such entry ID'));
 		}
-
+		
 		$strReq = 'DELETE FROM '.$this->prefix.'post '.
 				"WHERE blog_id = '".$this->con->escape($this->id)."' ".
 				"AND post_id ".$this->con->in($posts_ids);
-
+		
 		#If user can only delete, we need to check the post's owner
 		if (!$this->core->auth->check('contentadmin',$this->id))
